Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent
Class RepoResourceBase

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase

All Implemented Interfaces:
  IdedObject

Direct Known Subclasses:
  RepoFolder, RepoResource

    public abstract class RepoResourceBase

extends java.lang.Object
implements IdedObject

Version:
  $Id: RepoResourceBase.java 8430 2007-05-30 13:18:32Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`protected java.util.Date` | `creationDate`
`protected java.lang.String` | `description`
`protected long` | `id`
`protected java.lang.String` | `label`
`protected java.lang.String` | `name`
`protected RepoFolder` | `parent`
`protected int` | `version`

Constructor Summary
`protected` | `RepoResourceBase()`

Method Summary
`protected void` | `copyFrom(Resource clientRes)`
`void` | `copyFromClient(java.lang.Object objIdent, PersistentObjectResolver resolver)`
`protected void` | `copyTo(Resource clientRes)`
`protected abstract java.lang.Class` | `getClientItf()`
`java.util.Date` | `getCreationDate()`
`java.lang.String` | `getDescription()`
`long` | `getId()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getName()`
`RepoFolder` | `getParent()`
`java.lang.String` | `getResourceURI()`
`int` | `getVersion()`
`boolean` | `isNew()`
`void` | `setCreationDate(java.util.Date creationDate)`
`void` | `setDescription(java.lang.String description)`
`void` | `setId(long id)`
`void` | `setLabel(java.lang.String label)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(RepoFolder parent)`
`void` | `setVersion(int version)`
`java.lang.Object` | `toClient(ResourceFactory resourceFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected long id

### version

    protected int version

### creationDate

    protected java.util.Date creationDate

### name

    protected java.lang.String name

### label

    protected java.lang.String label

### description

    protected java.lang.String description

### parent

    protected RepoFolder parent

Constructor Detail

### RepoResourceBase

    protected RepoResourceBase()

Method Detail

### getId

    public long getId()

  Specified by:
    `getId` in interface `IdedObject`
  Returns:

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `IdedObject`

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getParent

    public RepoFolder getParent()

### setParent

    public void setParent(RepoFolder parent)

### getClientItf

    protected abstract java.lang.Class getClientItf()

### toClient

    public java.lang.Object toClient(ResourceFactory resourceFactory)

  Specified by:
    `toClient` in interface `IdedObject`

### copyFromClient

    public void copyFromClient(java.lang.Object objIdent,
                               PersistentObjectResolver resolver)

  Specified by:
    `copyFromClient` in interface `IdedObject`

### copyFrom

    protected void copyFrom(Resource clientRes)

### copyTo

    protected void copyTo(Resource clientRes)

### getResourceURI

    public java.lang.String getResourceURI()

### isNew

    public boolean isNew()

### getCreationDate

    public java.util.Date getCreationDate()

### setCreationDate

    public void setCreationDate(java.util.Date creationDate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.